Last Comment Bug 760709 - Isolate E4X jittests
: Isolate E4X jittests
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Terrence Cole [:terrence]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 15:30 PDT by Terrence Cole [:terrence]
Modified: 2012-06-08 04:18 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v0 (31.76 KB, patch)
2012-06-01 15:30 PDT, Terrence Cole [:terrence]
no flags Details | Diff | Review
v1: Part1 - Move e4x specfic tests to e4x directory. (4.69 KB, patch)
2012-06-04 15:37 PDT, Terrence Cole [:terrence]
jorendorff: review+
Details | Diff | Review

Description Terrence Cole [:terrence] 2012-06-01 15:30:22 PDT
Created attachment 629369 [details] [diff] [review]
v0

With --disable-e4x, several jit-tests fail.  This reworks these tests to not use E4X, or if they are E4X specific, moves them to a separate e4x directory so they are easy to visually filter.

Most of these were fairly straightforward, however, I'm not 100% certain about the following tests and would like a second opinion:
  bug651966.js
  bug737251.js
  bug738846.js
Comment 1 Terrence Cole [:terrence] 2012-06-04 15:37:36 PDT
Created attachment 629969 [details] [diff] [review]
v1: Part1 - Move e4x specfic tests to e4x directory.

This is incredibly tedious, so I'm going to split it into two parts.  This first part is just the tests that are specific to E4X -- e.g. the messed up moves from the last patch.
Comment 2 Terrence Cole [:terrence] 2012-06-07 18:09:34 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/ad8edddea8d3

Coolest changeset hash ever.
Comment 3 Graeme McCutcheon [:graememcc] 2012-06-08 04:18:21 PDT
https://hg.mozilla.org/mozilla-central/rev/ad8edddea8d3

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.